%define upstream_name       Locale-Hebrew
%define upstream_version    1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:   Bidirectional Hebrew support
License:   GPL or Artistic
Group:     Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz
Patch:     Locale-Hebrew-1.04-fix-format-errors.patch
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is based on code from the Unicode Consortium.

The charset on their code was bogus, therefore this module had to work
the real charset from scratch.  There might have some mistakes, though.

One function, "hebrewflip", is exported by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%patch -p 1
# patching make signature check fail 
rm -f t/0-signature.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Locale
%{perl_vendorarch}/auto/Locale
%{_mandir}/*/*



%changelog
* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 419910
- new perl version macro
- fix format errors

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.04-5mdv2009.0
+ Revision: 257642
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.04-4mdv2009.0
+ Revision: 245696
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.04-2mdv2008.1
+ Revision: 152124
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jun 17 2006 Stefan van der Eijk <stefan@.eijk.nu> 1.04-1
- Initial build.

